From: Helmut Grohne <helmut@subdivi.de>
Date: Thu, 26 Oct 2017 16:48:31 +0200
Subject: crossbuild: use PKG_PROG_PKG_CONFIG instead of AC_PATH_PROG

gerbv fails to cross build from source, because it uses the build
architecture pkg-config. It uses AC_PATH_PROG to find pkg-config and
thus fails to consider $ac_tool_prefix. Switching to the upstream macro
PKG_PROG_PKG_CONFIG fixes that and makes gerbv cross build successfully.

Bug-Debian: https://bugs.debian.org/879855
---
 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/configure.ac b/configure.ac
index be9deb7..57bbe6a 100644
--- a/configure.ac
+++ b/configure.ac
@@ -221,8 +221,8 @@ fi
 AM_CONDITIONAL(HAVE_MAGICK, test x$have_magick = xyes)
 
 # Check for pkg-config
-AC_PATH_PROG(PKG_CONFIG, pkg-config, no)
-if test "$PKG_CONFIG" = "no"; then
+PKG_PROG_PKG_CONFIG
+if test "x$PKG_CONFIG" = "x"; then
 	AC_MSG_ERROR([Cannot find pkg-config, make sure it is installed and in your PATH])
 fi
 
